<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: Vector2D.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_vector2_d_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Vector2D.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_vector2_d_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// %flair:license{</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// This file is part of the Flair framework distributed under the</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// CECILL-C License, Version 1.0.</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// %flair:license}</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"></span><span class="preprocessor">#ifndef VECTOR2D_H</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#define VECTOR2D_H</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="keyword">namespace </span>core {</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">template</span> &lt;<span class="keyword">typename</span> T&gt;</div>
<div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_vector2_d.html">   24</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1core_1_1_vector2_d.html">Vector2D</a> {</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;  <a class="code" href="classflair_1_1core_1_1_vector2_d.html#a4b3ae561882bcb95db97ee23e07eae9e">Vector2D</a>(T <a class="code" href="classflair_1_1core_1_1_vector2_d.html#adc92c6671b0a23292eff87f782791d7b">x</a> = 0, T <a class="code" href="classflair_1_1core_1_1_vector2_d.html#a7f971d69af939edaf3f3b99339f9e389">y</a> = 0);</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;  <a class="code" href="classflair_1_1core_1_1_vector2_d.html#a7b26acd44a32983e8e901fa761c368df">~Vector2D</a>();</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_vector2_d.html#a21daa593189491de24363448b1ad73af">Rotate</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_vector2_d.html#a572147dfa3c10871a9e01904a1f9a751">RotateDeg</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classflair_1_1core_1_1_vector2_d.html#a81926d1dc61bb56706b99f5bfb4d1ca3">GetNorm</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_vector2_d.html#a9ee928de991ca4872f2e877e87393f03">Normalize</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_vector2_d.html#ab7c4e044ae4a49d8bfc344023540ceeb">Saturate</a>(<a class="code" href="classflair_1_1core_1_1_vector2_d.html">Vector2D&lt;T&gt;</a> min, <a class="code" href="classflair_1_1core_1_1_vector2_d.html">Vector2D&lt;T&gt;</a> max);</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_vector2_d.html#ab7c4e044ae4a49d8bfc344023540ceeb">Saturate</a>(<span class="keywordtype">float</span> min, <span class="keywordtype">float</span> max);</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_vector2_d.html#ab7c4e044ae4a49d8bfc344023540ceeb">Saturate</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_vector2_d.html">Vector2D&lt;T&gt;</a> &amp;value);</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_vector2_d.html#ab7c4e044ae4a49d8bfc344023540ceeb">Saturate</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;</div>
<div class="line"><a name="l00109"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_vector2_d.html#adc92c6671b0a23292eff87f782791d7b">  109</a></span>&#160;  T <a class="code" href="classflair_1_1core_1_1_vector2_d.html#adc92c6671b0a23292eff87f782791d7b">x</a>;</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;</div>
<div class="line"><a name="l00114"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_vector2_d.html#a7f971d69af939edaf3f3b99339f9e389">  114</a></span>&#160;  T <a class="code" href="classflair_1_1core_1_1_vector2_d.html#a7f971d69af939edaf3f3b99339f9e389">y</a>;</div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;</div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;  <span class="keyword">template</span>&lt;<span class="keyword">typename</span> S&gt; <a class="code" href="classflair_1_1core_1_1_vector2_d.html">Vector2D&lt;T&gt;</a> &amp;operator=(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_vector2_d.html">Vector2D&lt;S&gt;</a> &amp;vector) {</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;    x = vector.<a class="code" href="classflair_1_1core_1_1_vector2_d.html#adc92c6671b0a23292eff87f782791d7b">x</a>;</div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;    y = vector.<a class="code" href="classflair_1_1core_1_1_vector2_d.html#a7f971d69af939edaf3f3b99339f9e389">y</a>;</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;    <span class="keywordflow">return</span> (*<span class="keyword">this</span>);</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;  }</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;  <a class="code" href="classflair_1_1core_1_1_vector2_d.html">Vector2D&lt;T&gt;</a> &amp;operator+=(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_vector2_d.html">Vector2D&lt;T&gt;</a> &amp;vector);</div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;  <a class="code" href="classflair_1_1core_1_1_vector2_d.html">Vector2D&lt;T&gt;</a> &amp;operator-=(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_vector2_d.html">Vector2D&lt;T&gt;</a> &amp;vector);</div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;};</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;<span class="keyword">typedef</span> Vector2D&lt;float&gt; Vector2Df;</div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> T&gt; Vector2D&lt;T&gt; <a class="code" href="namespaceflair_1_1core.html#ab372a1107820a30d6fcbef13c8989caa">operator+</a>(<span class="keyword">const</span> Vector2D&lt;T&gt; &amp;vectorA, <span class="keyword">const</span> Vector2D&lt;T&gt; &amp;vectorB);</div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;</div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> T&gt; Vector2D&lt;T&gt; <a class="code" href="namespaceflair_1_1core.html#ac696d4111ec3b0241bc094add5666245">operator-</a>(<span class="keyword">const</span> Vector2D&lt;T&gt; &amp;vectorA, <span class="keyword">const</span> Vector2D&lt;T&gt; &amp;vectorB);</div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;</div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> T&gt; Vector2D&lt;T&gt; <a class="code" href="namespaceflair_1_1core.html#ac696d4111ec3b0241bc094add5666245">operator-</a>(<span class="keyword">const</span> Vector2D&lt;T&gt; &amp;vectorA);</div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;</div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> T&gt; Vector2D&lt;T&gt; <a class="code" href="namespaceflair_1_1core.html#afed3cf9fa6c2e0afb37994f55222d019">operator/</a>(<span class="keyword">const</span> Vector2D&lt;T&gt; &amp;vector, <span class="keywordtype">float</span> coeff);</div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;</div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> T&gt; Vector2D&lt;T&gt; <a class="code" href="namespaceflair_1_1core.html#a7a25a222fe16e05be703de31123a6d11">operator*</a>(<span class="keyword">const</span> Vector2D&lt;T&gt; &amp;vector, <span class="keywordtype">float</span> coeff);</div>
<div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;</div>
<div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> T&gt; Vector2D&lt;T&gt; <a class="code" href="namespaceflair_1_1core.html#a7a25a222fe16e05be703de31123a6d11">operator*</a>(<span class="keywordtype">float</span> coeff, <span class="keyword">const</span> Vector2D&lt;T&gt; &amp;vector);</div>
<div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;</div>
<div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;} <span class="comment">// end namespace core</span></div>
<div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;} <span class="comment">// end namespace flair</span></div>
<div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;</div>
<div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;<span class="preprocessor">#endif // VECTOR2D_H</span></div>
<div class="ttc" id="classflair_1_1core_1_1_vector2_d_html_a7b26acd44a32983e8e901fa761c368df"><div class="ttname"><a href="classflair_1_1core_1_1_vector2_d.html#a7b26acd44a32983e8e901fa761c368df">flair::core::Vector2D::~Vector2D</a></div><div class="ttdeci">~Vector2D()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="namespaceflair_html"><div class="ttname"><a href="namespaceflair.html">flair</a></div><div class="ttdoc">namespace of the flair Framework </div><div class="ttdef"><b>Definition:</b> Ahrs.h:19</div></div>
<div class="ttc" id="classflair_1_1core_1_1_vector2_d_html_a572147dfa3c10871a9e01904a1f9a751"><div class="ttname"><a href="classflair_1_1core_1_1_vector2_d.html#a572147dfa3c10871a9e01904a1f9a751">flair::core::Vector2D::RotateDeg</a></div><div class="ttdeci">void RotateDeg(float value)</div><div class="ttdoc">Rotation. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_vector2_d_html_a9ee928de991ca4872f2e877e87393f03"><div class="ttname"><a href="classflair_1_1core_1_1_vector2_d.html#a9ee928de991ca4872f2e877e87393f03">flair::core::Vector2D::Normalize</a></div><div class="ttdeci">void Normalize(void)</div><div class="ttdoc">Normalize. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_vector2_d_html"><div class="ttname"><a href="classflair_1_1core_1_1_vector2_d.html">flair::core::Vector2D</a></div><div class="ttdoc">Class defining a 2D vector. </div><div class="ttdef"><b>Definition:</b> Vector2D.h:24</div></div>
<div class="ttc" id="classflair_1_1core_1_1_vector2_d_html_adc92c6671b0a23292eff87f782791d7b"><div class="ttname"><a href="classflair_1_1core_1_1_vector2_d.html#adc92c6671b0a23292eff87f782791d7b">flair::core::Vector2D::x</a></div><div class="ttdeci">T x</div><div class="ttdoc">x </div><div class="ttdef"><b>Definition:</b> Vector2D.h:109</div></div>
<div class="ttc" id="classflair_1_1core_1_1_vector2_d_html_a21daa593189491de24363448b1ad73af"><div class="ttname"><a href="classflair_1_1core_1_1_vector2_d.html#a21daa593189491de24363448b1ad73af">flair::core::Vector2D::Rotate</a></div><div class="ttdeci">void Rotate(float value)</div><div class="ttdoc">Rotation. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_vector2_d_html_a81926d1dc61bb56706b99f5bfb4d1ca3"><div class="ttname"><a href="classflair_1_1core_1_1_vector2_d.html#a81926d1dc61bb56706b99f5bfb4d1ca3">flair::core::Vector2D::GetNorm</a></div><div class="ttdeci">float GetNorm(void) const </div><div class="ttdoc">Norm. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_vector2_d_html_a7f971d69af939edaf3f3b99339f9e389"><div class="ttname"><a href="classflair_1_1core_1_1_vector2_d.html#a7f971d69af939edaf3f3b99339f9e389">flair::core::Vector2D::y</a></div><div class="ttdeci">T y</div><div class="ttdoc">y </div><div class="ttdef"><b>Definition:</b> Vector2D.h:114</div></div>
<div class="ttc" id="classflair_1_1core_1_1_vector2_d_html_ab7c4e044ae4a49d8bfc344023540ceeb"><div class="ttname"><a href="classflair_1_1core_1_1_vector2_d.html#ab7c4e044ae4a49d8bfc344023540ceeb">flair::core::Vector2D::Saturate</a></div><div class="ttdeci">void Saturate(Vector2D&lt; T &gt; min, Vector2D&lt; T &gt; max)</div><div class="ttdoc">Saturate. </div></div>
<div class="ttc" id="namespaceflair_1_1core_html_afed3cf9fa6c2e0afb37994f55222d019"><div class="ttname"><a href="namespaceflair_1_1core.html#afed3cf9fa6c2e0afb37994f55222d019">flair::core::operator/</a></div><div class="ttdeci">Vector2D&lt; T &gt; operator/(const Vector2D&lt; T &gt; &amp;vector, float coeff)</div><div class="ttdoc">Divid. </div></div>
<div class="ttc" id="namespaceflair_1_1core_html_a7a25a222fe16e05be703de31123a6d11"><div class="ttname"><a href="namespaceflair_1_1core.html#a7a25a222fe16e05be703de31123a6d11">flair::core::operator*</a></div><div class="ttdeci">Quaternion operator*(Quaternion const &amp;quaternionA, Quaternion const &amp;quaterniontB)</div><div class="ttdoc">Multiply. </div></div>
<div class="ttc" id="namespaceflair_1_1core_html_ac696d4111ec3b0241bc094add5666245"><div class="ttname"><a href="namespaceflair_1_1core.html#ac696d4111ec3b0241bc094add5666245">flair::core::operator-</a></div><div class="ttdeci">Quaternion operator-(Quaternion const &amp;quaternionA, Quaternion const &amp;quaterniontB)</div><div class="ttdoc">Substract. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_vector2_d_html_a4b3ae561882bcb95db97ee23e07eae9e"><div class="ttname"><a href="classflair_1_1core_1_1_vector2_d.html#a4b3ae561882bcb95db97ee23e07eae9e">flair::core::Vector2D::Vector2D</a></div><div class="ttdeci">Vector2D(T x=0, T y=0)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="namespaceflair_1_1core_html_ab372a1107820a30d6fcbef13c8989caa"><div class="ttname"><a href="namespaceflair_1_1core.html#ab372a1107820a30d6fcbef13c8989caa">flair::core::operator+</a></div><div class="ttdeci">Quaternion operator+(Quaternion const &amp;quaterniontA, Quaternion const &amp;quaterniontB)</div><div class="ttdoc">Add. </div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_97265977dbbd48c696782ccac102bad5.html">FlairCore</a></li><li class="navelem"><a class="el" href="dir_6c198461db290ac9abcdd44184573216.html">src</a></li><li class="navelem"><a class="el" href="_vector2_d_8h.html">Vector2D.h</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
